package com.ramos.munoz.tesis;

import java.util.Date;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Chronometer;
import android.widget.ImageButton;
import android.widget.TextView;

import com.google.android.gms.maps.model.LatLng;

public class NotificacionActivity extends Activity {
    private int idEstacionamiento;
    private String fechaEstacionado;
    private String patente;
    private String[] fechaYHoraEstacionado;
    private String nombreEstacionamiento;
    private int idVehiculo;

    private TextView txtNombreEstacionamiento;
    private TextView txtFecha;
    private Estacionamiento est;
    private TextView txtMsgePatente;
    private ImageButton txtPatente;
    private ImageButton txtIdEstacionamiento;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

	super.onCreate(savedInstanceState);
	setContentView(R.layout.notificacion_activity);
	inicializarComponentes();
    }

    private void inicializarComponentes() {
	Intent datos = getIntent();

	idEstacionamiento = datos.getIntExtra("idEstacionamiento", -1);
	fechaEstacionado = datos.getStringExtra("fechaEntrada");
	patente = datos.getStringExtra("patente");
	fechaYHoraEstacionado = fechaEstacionado.split(" ");
	nombreEstacionamiento = datos.getStringExtra("nombreEstacionamiento");
	idVehiculo = datos.getIntExtra("idVehiculo", 1);

	txtIdEstacionamiento = (ImageButton) findViewById(R.id.imgBtnEstacionamiento);
	txtMsgePatente = (TextView) findViewById(R.id.txtPatenteEstacionado);
	txtPatente = (ImageButton) findViewById(R.id.imgBtnPatenteVehiculo);
	txtNombreEstacionamiento = (TextView) findViewById(R.id.txtNombreEstacionamiento);
	txtFecha = (TextView) findViewById(R.id.txtFechaEstacionado);
	String fecha = getString(R.string.msgeFechaNotificacion);
	fecha = String.format(fecha, fechaYHoraEstacionado[1], fechaYHoraEstacionado[0]);
	ImageButton ir = (ImageButton) findViewById(R.id.btnIrAEstacionamiento);

	txtMsgePatente.setText(getString(R.string.msgePatente) + patente);

	txtFecha.setText(fecha);
	String nombreNombreEstacionamiento = String.format(getString(R.string.msgeNombreEstacionamiento), nombreEstacionamiento);
	txtNombreEstacionamiento.setText(nombreNombreEstacionamiento);

	txtIdEstacionamiento.setOnClickListener(new OnClickListener() {

	    public void onClick(View v) {
		Intent detalle = new Intent(getApplicationContext(), MapaDetalleEstacionamiento.class);
		detalle.putExtra("id", idEstacionamiento);
		startActivity(detalle);
	    }
	});

	txtPatente.setOnClickListener(new OnClickListener() {

	    public void onClick(View v) {
		Intent detalle = new Intent(getApplicationContext(), VehiculoDetalle.class);
		detalle.putExtra("patente", patente);
		detalle.putExtra("buscar", true);
		startActivity(detalle);
	    }
	});

	ir.setOnClickListener(new OnClickListener() {

	    public void onClick(View arg0) {

		Estacionamiento est = MapaActivity.getMapa().getEstacionamiento(idEstacionamiento);
		MapaActivity.setEst(est);
		LatLng loc = new LatLng(est.getLatitud(), est.getLongitud());
		Intent mapa = new Intent(NotificacionActivity.this, MapaActivity.class);
		mapa.putExtra("longitud", loc.longitude);
		mapa.putExtra("latitud", loc.latitude);
		mapa.putExtra("id", idEstacionamiento);

		startActivity(mapa);
		finish();

	    }
	});
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
	MenuInflater inflater = getMenuInflater();
	inflater.inflate(R.menu.notificacion, menu);
	return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
	super.onOptionsItemSelected(item);
	switch (item.getItemId()) {
	    case R.id.menuCompartir:
		Intent sharingIntent = new Intent(android.content.Intent.ACTION_SEND);
		sharingIntent.setType("text/plain");
		String shareBody = "Actualmente estacionado en: " + nombreEstacionamiento;
		sharingIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Siste");
		sharingIntent.putExtra(android.content.Intent.EXTRA_TEXT, shareBody);
		startActivity(Intent.createChooser(sharingIntent, "Compartir en"));
		break;
	}
	return true;
    }

}
